[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RTLEventResetEvent

Reset an event

## Declaration

Source position: threadh.inc line 181

`procedure RTLEventResetEvent(`
`state: PRTLEvent`
`);`

## Description

RTLeventResetEvent resets the event: this should be used to undo the signaled state of an event. Resetting an event that is not set (or was already reset) has no effect.

## See also

RTLEventCreate |  | Create a new RTL event
RTLEventDestroy |  | Destroy a RTL Event
RTLEventSetEvent |  | Notify threads of the event.
RTLEventWaitFor |  | Wait for an event.